SQLITE_SERIALIZE_NOCOPY(3)

NAME
SQLITE_SERIALIZE_NOCOPY - flags for sqlite3_serialize

SYNOPSIS
#include <sqlite3.h>
#define SQLITE_SERIALIZE_NOCOPY

DESCRIPTION
Zero or more of the following constants can be OR-ed together for the F argument to sqlite3_serialize(D,S,P,F).

SQLITE_SERIALIZE_NOCOPY means that sqlite3_serialize() will return a pointer to contiguous in-memory database that it is currently using, without making a copy of the database. If SQLite is not currently using a contiguous in-memory database, then this option causes sqlite3_serialize() to return a NULL pointer. SQLite will only be using a contiguous in-memory database if it has been initialized by a prior call to sqlite3_deserialize().

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 10686.

    #define SQLITE_SERIALIZE_NOCOPY 0x001   /* Do no memory allocations */

SEE ALSO
sqlite3_deserialize(3), sqlite3_serialize(3)